Index Page clpool_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void clpool_c ( void )
#### Abstract
       Remove all variables from the kernel pool.
#### Required_Reading
       KERNEL
#### Keywords
       CONSTANTS
       FILES
#### Brief_I/O
       None.
#### Detailed_Input
       None.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       1) All known agents (those established through swpool_) will
          be "notified" that their watched variables have been updated
          whenever clpool_c is called.
#### Files
       None.
#### Particulars
       clpool_c clears the pool of kernel variables maintained by
       the subroutine pool_. All the variables in the pool are deleted.
       However, all watcher information is retained.

       Each watched variable will be regarded as having been updated.
       Any agent associated with that variable will have a notice
       posted for it indicating that its watched variable has been
       updated.
#### Examples
       The following code fragment demonstrates how to clear to kernel pool
       to make room for new kernel data.  In this example, three kernels
       are successively loaded and used, after which the kernel pool is
       cleared.  The kernels may collectively contain too much data for the
       kernel pool to hold, but clearing the kernel pool after each use
       makes it possible to use all three.

          #include "SpiceUsr.h"
                .
                .
                .
          /.
          Store in an array the names of the kernel files whose
          values will be loaded into the kernel pool.  These are
          SCLK kernels for three different spacecraft clocks.
          ./

          ConstSpiceChar        * kerptr [3] = { "vg1_sclk.ker",
                                                 "vg2_sclk.ker",
                                                 "gll_sclk.ker" };

          /.
          Use each kernel in turn.
          /.

          for ( i = 0;  i < 3;  i++ )
          {
             ldpool_c ( kerptr[i] );

             [ use SCLK data for ith spacecraft ]

             /.
             Clear the kernel pool, making room for new data.
             ./

             clpool_c ();
          }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       I.M. Underwood  (JPL)
       W.L. Taber      (JPL)
#### Version
       -CSPICE Version 1.0.0, 18-JUN-1999 (IMU) (WLT) (NJB)
#### Index_Entries
       CLEAR the pool of kernel variables
#### Link to routine clpool_c source file clpool_c.c

    Wed Jun  9 13:05:20 2010